List all reactions
curl --request GET \
--url https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/reactions \
--header 'apikey: <api-key>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/reactions"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/reactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1",
"messageId": "2",
"reaction": ":reaction",
"uid": "cometchat-uid-1",
"reactedAt": 1700210335,
"reactedBy": {
"uid": "cometchat-uid-1",
"name": "Andrew Joseph",
"status": "offline",
"role": "default",
"createdAt": 1698934972
}
},
{
"id": "2",
"messageId": "2",
"reaction": "😅",
"uid": "cometchat-uid-1",
"reactedAt": 1700210456,
"reactedBy": {
"uid": "cometchat-uid-1",
"name": "Andrew Joseph",
"status": "offline",
"role": "default",
"createdAt": 1698934972
}
},
{
"id": "5",
"messageId": "2",
"reaction": "😒",
"uid": "cometchat-uid-2",
"reactedAt": 1700230866,
"reactedBy": {
"uid": "cometchat-uid-2",
"name": "George Alan",
"status": "offline",
"role": "default",
"createdAt": 1698934987,
"conversationId": "cometchat-uid-1_user_cometchat-uid-2"
}
}
],
"meta": {
"current": {
"limit": 100,
"count": 3
},
"next": {
"affix": "append",
"id": "5"
}
}
}Messages
List all reactions
List all reactions for a CometChat message by message ID with REST API to review emoji reactions and reacting users.
GET
/
messages
/
{id}
/
reactions
List all reactions
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
Id of the message whose reactions are to be fetched.
Was this page helpful?
⌘I